Sometimes there may be multiple names for a program, all referring
to different programs. For example, 'foobar' could be a C library -
but it could also be a ruby gem or a perl cpan module.

How does the Cookbooks project handle these situations?

Currently (Apr 2018) the Cookbooks project is limited in the sense
that there may be only one name for any given project at hand. That
means that the other two same-named projects can not occupy the
same namespace.

The workaround for such situations is to clarify the name. A leading
prefix called "ruby-" or "perl-" may help there, such as "ruby-foobar"
or "perl-foobar".

This is not a perfect solution, mind you, but a viable workaround
for now. In the long run, it may be possible to remove this
limitation - but for now, since it does not appear to be that
common, the content of this file remains valid.
